Anti-Money Laundering screening - Check against global sanctions lists
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/verification/api/aml_screening_sanction/" \ -H "Content-Type: application/json" \ -d '{ "first_name": "e.g. John", "last_name": "e.g. Doe" }'{ "data": { "name": {}, "is_pep": false, "report": "5ccf72d4-720d-4bce-9a79-502b88e7595d", "is_fatf": false, "created_at": "2026-04-13T08:17:29.558909Z", "search_name": "['Babatunde'] ['Raymond']", "is_sanctioned": false, "profile_status": "approved", "rule_evaluation": { "risk_level": "low", "risk_score": 0, "auto_flagged": false, "rules_triggered": 0, "triggered_rules": [ null ], "total_rules_evaluated": 0, "requires_manual_review": false }, "is_adverse_media": false, "custom_sanction_count": 0, "is_business_person_pep": false, "custom_sanction_matches": [ null ], "is_business_person_sanctioned": false }, "status": true, "response_code": "00", "message": "string", "billing_info": { "was_charged": true, "amount": "string", "currency": "string" }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack Channel